#2718 closed defect (fixed)

Blocking _CORE_message_queue_Submit() may lead to unpredictable results

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.10
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

The thread wait return code is not properly initialized before the thread queue enqueue.

Change History (3)

comment:1 Changed on May 24, 2016 at 1:37:51 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 4b623d655bb4f4853a6ce385ae17e505dddbe7ce/rtems:

score: Fix blocking _CORE_message_queue_Submit()

Close #2718.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.